Subject: Ticket Assigned - address update / 9563735324
From: Home Box <[email-masked]>
To: [email-masked]
Date: Fri, 01 Apr 2022 09:39:30 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  address update / 9563735324 Emina                    Hello           01:30 PM, 01st Apr                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           01:30 PM, 01st Apr                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           01:30 PM, 01st Apr                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            01:30 PM, 01st Apr                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            01:30 PM, 01st Apr                     Emina                             01:30 PM, 01st Apr                     Emina                             01:30 PM, 01st Apr                     Emina                    I ordered this item           01:31 PM, 01st Apr                     Emina                    Plz deliver           01:31 PM, 01st Apr                     Emina                    https://maps.google.com/maps?q=25.10755729675293,55.37065124511719           01:31 PM, 01st Apr                     Emina                    Mazaya17           01:31 PM, 01st Apr                     Emina                    208           01:31 PM, 01st Apr                   Ahmed                   Kindly allow me few moments so I can check the details of the order            01:31 PM, 01st Apr                   Ahmed                   I've just checked the order. We've escalated your request to the concerned team. It does take some time for them to process and action this. Kindly bear with us. As soon as we get an update, I will provide you with the resolution.           01:39 PM, 01st Apr                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4109190